The Joomla! Extensions Directory ™

plocher

Reviews(2)
 
byplocher, October 11, 2010
works perfect for me. Even supply great support. thanks !!!
Remark: It needs PHP Version 5.2.3 or higher.
byplocher, September 15, 2010
Art Sexy Lightbox
I just brought the extension. It is easy to install and to use. Customer service is great, they answered questions in minutes.